{% if section.blocks.size > 0 %}
  <div id="faq">

    {% for block in section.blocks %}
      <div class="card" { block.shopify_attributes }}>
        <div class="card-header p-0" id="heading---{{ block.id }}">
          <h5 class="card-title mb-0">
            <a class="collapsed d-inline-block py-3 pb-2 link" href="#" data-toggle="collapse" data-target="#collapse---{{ block.id }}" aria-expanded="true" aria-controls="collapse---{{ block.id }}">
              {{ block.settings.question }}
              <i class="fa fa-angle-down rotate-icon px-2"></i>
            </a>
          </h5>
        </div>

        <div id="collapse---{{ block.id }}" class="collapse" aria-labelledby="heading---{{ block.id }}" data-parent="#faq">
          <div class="card-body">
            {{ block.settings.answer }}
          </div>
        </div>
      </div>
    {% endfor %}
    
  </div>
{% endif %}

{% schema %}
  {
    "name": "Preguntas Frecuentes",
    "max_blocks": 100,
    "blocks": [
      {
        "type": "faq",
        "name": "Pregunta",
        "settings": [
          {
            "type": "text",
            "id": "question",
            "label": "Pregunta:"
          },
          {
            "type": "richtext",
            "id": "answer",
            "label": "Respuesta:"
          }
        ]
      }
    ]
  }
{% endschema %}